import TOML from 'smol-toml';
import { CONFIG_PATH } from '@blog/config';

export async function getSiteConfig() {
  const siteConfig = CONFIG_PATH + '/site.toml';
  const file = Bun.file(siteConfig);
  const data = await file.text();

  return TOML.parse(data);
}
